// @ts-nocheck
module.exports = {};

/**
 * @typedef RespDefault
 * @description 預設回傳格式
 * @property {string} message
 * @property {number} code MessageCode
 * @property {string} errorStack api error stack (除了prod以外的環境會有)
 * @property {string} errorMessage api error message (除了prod以外的環境會有)
 */

/**
 * @typedef Pager
 * @description 頁數資訊
 * @property {number} page 目前頁數
 * @property {number} count 總筆數
 * @property {number} total 總頁數
 */

/**
 * @typedef Account
 * @description API回傳使用者資訊
 * @property {string} id 使用者ID
 * @property {string} phone 手機
 * @property {string} display_name 顯示名稱
 * @property {string} created_time 帳號建立時間
 * @property {string} updated_time 帳號更新時間
 */
